### Method

# Fwupd Client emulation_load_async

since: 2.0.0

#### Declaration [src]

    void
    fwupd_client_emulation_load_async (
      FwupdClient* self,
      const gchar* filename,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Loads an emulated device into the daemon backend that has the phases set by the JSON data, for instance, having one USB device emulated for the bootloader and another emulated for the runtime interface.

Available since: 2.0.0

#### Parameters

`filename`

  Type: `const gchar*`

  Archive data of JSON files.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The function to run on completion.

  The argument can be `NULL`.

`callback_data`

  Type: `gpointer`

  The data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.